Bug 110226 - [Qt] Replace QWebPageAdaptor::TouchAdjuster
Summary: [Qt] Replace QWebPageAdaptor::TouchAdjuster
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: WebKit Qt (show other bugs)
Version: 528+ (Nightly build)
Hardware: Unspecified Unspecified
: P2 Normal
Assignee: Allan Sandfeld Jensen
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2013-02-19 08:23 PST by Allan Sandfeld Jensen
Modified: 2013-02-21 04:41 PST (History)
1 user (show)

See Also:


Attachments
Patch (8.19 KB, patch)
2013-02-19 08:34 PST, Allan Sandfeld Jensen
tonikitoo: review+
Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Allan Sandfeld Jensen 2013-02-19 08:23:57 PST
A legacy implementation of touch adjustment exist in QWebPageAdaptor::TouchAdjuster, it is a not as good a the WebCore TouchAdjuster and provides no special features. So it should be removed and replaced with standard touch-adjustment.
Comment 1 Allan Sandfeld Jensen 2013-02-19 08:34:10 PST
Created attachment 189094 [details]
Patch
Comment 2 Antonio Gomes 2013-02-20 03:38:10 PST
Comment on attachment 189094 [details]
Patch

View in context: https://bugs.webkit.org/attachment.cgi?id=189094&action=review

> Source/WebKit/qt/ChangeLog:3
> +        [Qt] Remove QWebPageAdaptor::TouchAdjuster

I would word it as "replace".
Comment 3 Allan Sandfeld Jensen 2013-02-21 04:41:56 PST
Committed r143588: <http://trac.webkit.org/changeset/143588>